svn commit: samba r4319 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Tue Dec 21 11:49:01 GMT 2004


Author: tridge
Date: 2004-12-21 11:49:01 +0000 (Tue, 21 Dec 2004)
New Revision: 4319

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=4319

Log:
make it easy to use valgrind in the test_posix.sh test suite






Modified:
   branches/SAMBA_4_0/source/script/tests/test_posix.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_posix.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_posix.sh	2004-12-21 11:48:32 UTC (rev 4318)
+++ branches/SAMBA_4_0/source/script/tests/test_posix.sh	2004-12-21 11:49:01 UTC (rev 4319)
@@ -20,7 +20,7 @@
    trap "rm -f test.$$" EXIT
 
    cmdline="$*"
-   if ! $cmdline > test.$$ 2>&1; then
+   if ! $cmdline > test.$$; then
        cat test.$$;
        rm -f test.$$;
        echo "TEST FAILED - $cmdline";
@@ -52,5 +52,5 @@
     fi
     start=""
     echo Testing $t
-    testit bin/smbtorture $unc -U"$username"%"$password" $t
+    testit $VALGRIND bin/smbtorture $unc -U"$username"%"$password" $t
 done



More information about the samba-cvs mailing list